summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-install
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 21:03:09 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-12 21:03:09 +0000
commitd97953e6ff67978da9554e7b4601aedceb21e215 (patch)
tree674053c902db6972b9716c9ac3b1e960ee7a5358 /dev-ruby/ruby-install
parent1d1fa5bb30df70070bbbbd2b777b839d31f09c41 (diff)
downloadbaldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.tar.gz
baldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.tar.xz
baldeagleos-repo-d97953e6ff67978da9554e7b4601aedceb21e215.zip
Adding metadata
Diffstat (limited to 'dev-ruby/ruby-install')
-rw-r--r--dev-ruby/ruby-install/Manifest1
-rw-r--r--dev-ruby/ruby-install/metadata.xml13
-rw-r--r--dev-ruby/ruby-install/ruby-install-0.8.3-r2.ebuild43
3 files changed, 57 insertions, 0 deletions
diff --git a/dev-ruby/ruby-install/Manifest b/dev-ruby/ruby-install/Manifest
new file mode 100644
index 000000000000..0a6371c85d7f
--- /dev/null
+++ b/dev-ruby/ruby-install/Manifest
@@ -0,0 +1 @@
+DIST ruby-install-0.8.3.tar.gz 32381 BLAKE2B fd2c15333e571881d9a6be67c2b968f81bd8b2d2025972dd502df35b4ce1b2a5dbfbac29327d2dfa83b779f923342c23c30423455c202a0978581ab71291ce22 SHA512 1fdd44b709a7d2eaae4b1ebf7a08381c565d7656d52cf69b98b0e00d383b39c7776848f7acd5f5f79f1a9ad935907e230c256b7cdf46714fddd9a8cfac418c9a
diff --git a/dev-ruby/ruby-install/metadata.xml b/dev-ruby/ruby-install/metadata.xml
new file mode 100644
index 000000000000..172ff196679b
--- /dev/null
+++ b/dev-ruby/ruby-install/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>alexey@zapparov.com</email>
+ <name>Alexey Zapparov</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/postmodern/ruby-install/issues</bugs-to>
+ <changelog>https://github.com/postmodern/ruby-install/blob/master/ChangeLog.md</changelog>
+ <remote-id type="github">postmodern/ruby-install</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-ruby/ruby-install/ruby-install-0.8.3-r2.ebuild b/dev-ruby/ruby-install/ruby-install-0.8.3-r2.ebuild
new file mode 100644
index 000000000000..46ccb1fad361
--- /dev/null
+++ b/dev-ruby/ruby-install/ruby-install-0.8.3-r2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Installs Ruby, JRuby, Rubinius, TruffleRuby (native / GraalVM), or mruby."
+HOMEPAGE="https://github.com/postmodern/ruby-install"
+SRC_URI="https://github.com/postmodern/ruby-install/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+PROPERTIES="test_network"
+RESTRICT="!test? ( test )"
+
+DEPEND=">=app-shells/bash-3.0:*"
+RDEPEND="${DEPEND}
+ sys-apps/grep
+ || ( >net-misc/wget-1.12 net-misc/curl )
+ dev-libs/openssl
+ app-arch/tar
+ app-arch/bzip2
+ sys-devel/patch
+ || ( >=sys-devel/gcc-4.2 sys-devel/clang )"
+BDEPEND="test? ( dev-util/shunit2 )"
+
+# XXX: `make check` seems to be broken (violates shellcheck tests)
+src_test() {
+ emake test
+}
+
+src_prepare() {
+ default
+
+ sed -i Makefile -e "s/^VERSION=.\+$/VERSION=${PVR}/" \
+ || die "Cannot fix doc location to follow Gentoo/FHS guidelines"
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="/usr" install
+}